# Uses of Interface
org.opensaml.saml.ext.saml2mdui.Keywords

Packages that use Keywords
Package
Description
org.opensaml.saml.ext.saml2mdui
Interfaces for SAML 2 Metadata Extensions for Login UI and Discovery.
org.opensaml.saml.ext.saml2mdui.impl
Implementation for SAML V2 Metadata Extensions for UI and Discovery.

## Uses of Keywords in org.opensaml.saml.ext.saml2mdui

Methods in org.opensaml.saml.ext.saml2mdui that return types with arguments of type Keywords
Modifier and Type
Method
Description
`List<Keywords>`
UIInfo.`getKeywords()`
Get the keywords.

## Uses of Keywords in org.opensaml.saml.ext.saml2mdui.impl

Classes in org.opensaml.saml.ext.saml2mdui.impl that implement Keywords
Modifier and Type
Class
Description
`class`
`KeywordsImpl`
Concrete implementation of `Keywords`.
Methods in org.opensaml.saml.ext.saml2mdui.impl that return Keywords
Modifier and Type
Method
Description
`Keywords`
KeywordsBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Keywords`
KeywordsBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.ext.saml2mdui.impl that return types with arguments of type Keywords
Modifier and Type
Method
Description
`List<Keywords>`
UIInfoImpl.`getKeywords()`
Get the keywords.